All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::out_of_host_memory Class Reference

Exception thrown if the host cannot provide enough memory for the datastructures in the OpenCL backend (temporary arrays, etc.) to perform the requested operation. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::out_of_host_memory:

## Detailed Description

Exception thrown if the host cannot provide enough memory for the datastructures in the OpenCL backend (temporary arrays, etc.) to perform the requested operation.

Definition at line 143 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp